/***********************
* Adobe Edge Animate Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'africaMain'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_next}", "click", function(sym, e) {
         sym.getComposition().getStage().play("AfricaChooseLabel");
         

      });
      //Edge binding end

   })("africaMain");
   //Edge symbol end:'africaMain'

   //=========================================================
   
   //Edge symbol: 'next'
   (function(symbolName) {   
   
   })("next");
   //Edge symbol end:'next'

   //=========================================================
   
   //Edge symbol: 'AfricaChooseMap'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_greatPyramids}", "click", function(sym, e) {
         sym.getComposition().getStage().play("Pyramids");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_greatPyramids}", "mouseout", function(sym, e) {
         var greatPyramids = sym.getSymbol("greatPyramids");
         greatPyramids.playReverse();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_greatPyramids}", "mouseover", function(sym, e) {
         var greatPyramids = sym.getSymbol("greatPyramids");
         greatPyramids.play();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_saharaDesert}", "click", function(sym, e) {
         sym.getComposition().getStage().play("Sahara");
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_saharaDesert}", "mouseover", function(sym, e) {
         var saharaDesert = sym.getSymbol("saharaDesert");
         saharaDesert.play();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_saharaDesert}", "mouseout", function(sym, e) {
         var saharaDesert = sym.getSymbol("saharaDesert");
         saharaDesert.playReverse();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_mtK}", "mouseout", function(sym, e) {
         var mtK = sym.getSymbol("mtK");
         mtK.playReverse();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_mtK}", "mouseover", function(sym, e) {
         var mtK = sym.getSymbol("mtK");
         mtK.play();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_mtK}", "click", function(sym, e) {
         sym.getComposition().getStage().play("Mountain");
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_passportCopy}", "click", function(sym, e) {
         sym.getComposition().getStage().play("Passport");
         
         
         

      });
      //Edge binding end

   })("AfricaChooseMap");
   //Edge symbol end:'AfricaChooseMap'

   //=========================================================
   
   //Edge symbol: 'saharaDesert'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("saharaDesert");
   //Edge symbol end:'saharaDesert'

   //=========================================================
   
   //Edge symbol: 'mtK'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("mtK");
   //Edge symbol end:'mtK'

   //=========================================================
   
   //Edge symbol: 'greatPyramids'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("greatPyramids");
   //Edge symbol end:'greatPyramids'

   //=========================================================
   
   //Edge symbol: 'AfricaPyramids'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_back}", "click", function(sym, e) {
         sym.getComposition().getStage().play("AfricaChooseLabel");
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6029, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_backBtn}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("pyramidStart");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btnNext}", "click", function(sym, e) {
         // insert code for mouse click here
         
      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pyramidA}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("pyramidIncorrect");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pyramidB}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("pyramidIncorrect");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pyramidC}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("pyramidCorrect");
         
         

      });
      //Edge binding end

   })("AfricaPyramids");
   //Edge symbol end:'AfricaPyramids'

   //=========================================================
   
   //Edge symbol: 'pyramidCircle'
   (function(symbolName) {   
   
   })("pyramidCircle");
   //Edge symbol end:'pyramidCircle'

   //=========================================================
   
   //Edge symbol: 'africaMountain'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_backCopy3}", "click", function(sym, e) {
         sym.getComposition().getStage().play("AfricaChooseLabel");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_backBtn}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("mountainStart");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_mountainA}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("mountainIncorrect");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_mountainC}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("mountainIncorrect");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_mountainB}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("mountainCorrect");
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("africaMountain");
   //Edge symbol end:'africaMountain'

   //=========================================================
   
   //Edge symbol: 'back'
   (function(symbolName) {   
   
   })("back");
   //Edge symbol end:'back'

   //=========================================================
   
   //Edge symbol: 'passport'
   (function(symbolName) {   
   
   })("passport");
   //Edge symbol end:'passport'

   //=========================================================
   
   //Edge symbol: 'mtnCircle'
   (function(symbolName) {   
   
   })("mtnCircle");
   //Edge symbol end:'mtnCircle'

   //=========================================================
   
   //Edge symbol: 'africaSahara'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_backCopy4}", "click", function(sym, e) {
         sym.getComposition().getStage().play("AfricaChooseLabel");
         
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 10000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 11000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_saharaA}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("saharaIncorrect");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_saharaB}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("saharaIncorrect");
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_saharaC}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("saharaCorrect");
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_backBtnCopy}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("saharaStart");
         
         

      });
      //Edge binding end

   })("africaSahara");
   //Edge symbol end:'africaSahara'

   //=========================================================
   
   //Edge symbol: 'desertCircle'
   (function(symbolName) {   
   
   })("desertCircle");
   //Edge symbol end:'desertCircle'

   //=========================================================
   
   //Edge symbol: 'backBtn'
   (function(symbolName) {   
   
   })("backBtn");
   //Edge symbol end:'backBtn'

   //=========================================================
   
   //Edge symbol: 'btnNext'
   (function(symbolName) {   
   
   })("btnNext");
   //Edge symbol end:'btnNext'

   //=========================================================
   
   //Edge symbol: 'pyramidA'
   (function(symbolName) {   
   
   })("pyramidA");
   //Edge symbol end:'pyramidA'

   //=========================================================
   
   //Edge symbol: 'pyramidB'
   (function(symbolName) {   
   
   })("pyramidB");
   //Edge symbol end:'pyramidB'

   //=========================================================
   
   //Edge symbol: 'pyramidC'
   (function(symbolName) {   
   
   })("pyramidC");
   //Edge symbol end:'pyramidC'

   //=========================================================
   
   //Edge symbol: 'mountainA'
   (function(symbolName) {   
   
   })("mountainA");
   //Edge symbol end:'mountainA'

   //=========================================================
   
   //Edge symbol: 'mountainB'
   (function(symbolName) {   
   
   })("mountainB");
   //Edge symbol end:'mountainB'

   //=========================================================
   
   //Edge symbol: 'mountainC'
   (function(symbolName) {   
   
   })("mountainC");
   //Edge symbol end:'mountainC'

   //=========================================================
   
   //Edge symbol: 'saharaA'
   (function(symbolName) {   
   
   })("saharaA");
   //Edge symbol end:'saharaA'

   //=========================================================
   
   //Edge symbol: 'saharaB'
   (function(symbolName) {   
   
   })("saharaB");
   //Edge symbol end:'saharaB'

   //=========================================================
   
   //Edge symbol: 'saharaC'
   (function(symbolName) {   
   
   })("saharaC");
   //Edge symbol end:'saharaC'

})(jQuery, AdobeEdge, "EDGE-30871162");